Package org.apache.jmeter.samplers

# Interface SampleListener

All Known Implementing Classes:
  `BackendListener`, `BeanShellListener`, `BSFListener`, `JSR223Listener`, `MailerResultCollector`, `RemoteListenerWrapper`, `RemoteSampleListenerImpl`, `RemoteSampleListenerWrapper`, `ResultAction`, `ResultCollector`, `ResultSaver`, `Summariser`, `TransactionController`

public interface SampleListener
Allows notification on events occurring during the sampling process. Specifically, when sampling is started, when a specific sample is obtained, and when sampling is stopped.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `sampleOccurred(SampleEvent e)`
  A sample has started and stopped.
  `void`
  `sampleStarted(SampleEvent e)`
  A sample has started.
  `void`
  `sampleStopped(SampleEvent e)`
  A sample has stopped.

- ## Method Details

  - ### sampleOccurred

    void sampleOccurred(SampleEvent e)
    A sample has started and stopped.
    Parameters:
      `e` - the `SampleEvent` that has occurred

  - ### sampleStarted

    void sampleStarted(SampleEvent e)
    A sample has started.
    Parameters:
      `e` - the `SampleEvent` that has started

  - ### sampleStopped

    void sampleStopped(SampleEvent e)
    A sample has stopped.
    Parameters:
      `e` - the `SampleEvent` that has stopped